function! RNCagr()
"Jedes Dokument auf eine eigene Zeile setzen
    :%s/\(<document id=.\{-}>\)/\r\1/g
"Titel und andere gewünschte Meta-Informationen (hier Jahreszahl) vom Text
"durch Tabs abtrennen; Snippets erhalten, zeigt an, wie viele Kontexte pro
"Dokument
    :%s/\v(\<document id.{-}snippets\="1"\>).{-}\<attr name\="created" value\="(.{-})".{-}\<snippet sid\=".{-}"\>/\1\t\2\t/g

"Dokumente mit 2 Kontexten: Jeden Kontext auf eigene Zeile, Titel wiederholen
    :%s/\v(\<document id.{-}snippets\="2"\>).{-}\<attr name\="created" value\="(.{-})".{-}\<snippet sid\=".{-}"\>(.{-})\<snippet sid\=".{-}"\>(.*)/\1\t\2\t\3\r\1\t\2\t\4/g
    
"Dokumente mit 3 Kontexten: Jeden Kontext auf eigene Zeile, Titel wiederholen
   :%s/\v(\<document id.{-}snippets\="3"\>).{-}\<attr name\="created" value\="(.{-})".{-}\<snippet sid\=".{-}"\>(.{-})\<snippet sid\=".{-}"\>(.{-})\<snippet sid\=".{-}"\>(.*)/\1\t\2\t\3\r\1\t\2\t\4\r\1\t\2\t\5/g

"Wenn wir den linken Kontext erhalten wollen, müssen wir in Fällen, in denen
"unser Suchausdruck am Satzanfang steht (13. Комаров), einen Platzhalter
"anstelle des linken Kontextes setzen
    :%s/\t<text> <\/text>\(<word text="[^"]\{-\}" target="1" queryPosition="0" code="-1">.\{-\}<text> <\/text>\)/\tXXX\1/g

"Nun lösen wir die Wortformen und die grammatischen Informationen heraus
"Zuerst vom 1. Suchterm
   :%s/\v\<word text\="([^"]{-})" target\="1" queryPosition\="0" code\="-1"\>.{-}\<el-atom\>(.{-})\<\/el-atom\>.{-}\<el-group\>(.{-})\<\/el-group\>.{-}\<\/word\>.{-}\<\/text\>/\t\1\t\2\t\3\t/g

"dann vom 2. Suchterm
    :%s/\v\<word text\="([^"]{-})" target\="1" queryPosition\="1" code\="-1"\>.{-}\<el-atom\>(.{-})\<\/el-atom\>.{-}\<el-group\>(.{-})\<\/el-group\>.{-}\<\/word\>.{-}\<\/text\>/\1\t\2\t\3\t/g

"dann vom 3. Suchterm; da nach ihm ein Interpunktionszeichen kann, brauchen
"wir eine zusätzliche Klammer (für <text> und </text> (\4)) 
    :%s/\v\<word text\="([^"]{-})" target\="1" queryPosition\="2" code\="-1"\>.{-}\<el-atom\>(.{-})\<\/el-atom\>.{-}\<el-group\>(.{-})\<\/el-group\>.{-}\<\/word\>\<text\>(.{-})\<\/text\>/\1\t\2\t\3\t\4/g

"Wörter aus dem linken und rechten Kontext herauslösen. Zwischen <text> und
"</text> stehen Satzzeichen; erhalten (\2)
    :%s/\v\<word text\="([^"]{-})".{-}\>.{-}\<\/word\>\<text\>(.{-})\<\/text\>/\1\2/g

"Dokument-ID und Titel rauslösen, alles drumherum löschen
    :%s/\v\<document id\="([^"]{-})" title\="([^"]{-})".{-}\>/\1\t\2/g
    :%s/<\/el-atom>/;/g

"Tags am Zeilenanfang und alles was dahintersteht löschen
    :%s/^[ <\|<].*//g
"Alle übriggebliebenen Tags löschen
    :%s/<.\{-}>//g

"Aufräumen: überflüssige Strichpunkte, Leerschläge etc. entfernen
    :v/./d
    :%s/;\t/\t/g
    :%s/\s\{0,4}\t\s\{0,4}/\t/g
    :%s/\s\{2,4}/ /g
    :%s/&#8213/–/g
endfunction


